Inquiry Prepaid

The Inquiry Prepaid endpoint allows to retrieve detailed information about prepaid products. This inquiry is optional; customer can proceed directly to the "buy product" process without performing the inquiry. The inquiry is available only for the following providers: PLN, OVO, Gopay, DANA, and Maxim.

A. Request Header

FieldFormatMandatoryLengthExample
content-typestringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5kRy2p
Co8oEoQN/GBpIPuO3eicY63b7xY0W
DffScvkOZsZ1442ewabI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
msidnstringThe telephone number of clienttrue"01105691111"
amountstringThe buy price from the partner to Klikoo.
The amount will deduct the partner’s balance on
Klikoo when the transaction status is success
true"20500"
product_codestringUnique identifier for the producttrue"PLN20"
selling_pricestringThe selling price of the product from the partner. This value is required to calculate the margin value to be shown on the dashboard. It can be set as same as amount if you wouldn’t like to show the margin on the dashboardtrue"21000"
valuestringSimilar to msidn, representing a value associated with a mobile device or usertrue"01105691111"
partner_reference_idstringThe unique reference identifier provided by the partner or service invoking the transaction, recommended value is UUID v4true"42323-42234-44226-96273"

C. Sample Request

{
  "msidn": "01105691111",
  "amount": "20500",
  "product_code": "PLN20",
  "selling_price": "21000",
  "value": "01105691111",
  "partner_reference_id": "42323-42234-44226-96273"
}
{
  "msidn": "01105691111",
  "amount": "73500",
  "product_code": "OVO10",
  "selling_price": "73500",
  "value": "0817345544",
  "partner_reference_id": "21312315433453533"
}
{
  "msidn": "01105691111",
  "amount": "73500",
  "product_code": "GOPAY10",
  "selling_price": "73500",
  "value": "0817345544",
  "partner_reference_id": "21312315433453533"
}
{
    "msidn": "01105691111",
    "amount": "73500",
    "product_code": "DN1",
    "selling_price": "73500",
    "value": "0817345544",
    "partner_reference_id": "21312315433453533"
}
{
  "msidn": "01105691111",
  "amount": "10000",
  "product_code": "DNOPEN",
  "selling_price": "10000",
  "value": "0817345544",
  "partner_reference_id": "21312315433453533"
}
{
  "msidn": "01105691111",
  "amount": "73500",
  "product_code": "MAX5000",
  "selling_price": "73500",
  "value": "01105691111",
  "partner_reference_id": "{{$guid}}"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“200022000”
response_messagestringContains the value of OpenAPI response message“Sukses”
dataobjectAn object or object array containing additional information about the postpaid inquiry
product_namestringThe value of product’s name“PLN 20.000”
amountintTThe buy price from the partner to Klikoo. The amount will deduct the partner’s balance on Klikoo when the transaction status is success20500
totalintThe total amount of the transaction20546
product_codestringAn identifier for the inquiry or request“PLN20”
customer_numberstringThe customer number associated with the transaction or inquiry“01105691111”
customer_namestringName of the customer involved in the transaction“BAHARRUDIN1”
power_capacitystringThe power capacity or size of the product“R1/2200VA”

E. Sample Response

{
    "response_code": "200022000",
    "response_message": "Sukses",
    "data": {
        "product_name": "PLN 20.000",
        "amount": 20500,
        "total": 20546,
        "product_code": "PLN20",
        "customer_number": "01105691111",
        "customer_name": "BAHARRUDIN1",
        "power_capacity": "R1/2200VA"
    }
}
{
    "response_code": "503029998",
    "response_message": "CUSTID not recognized. Biller throws exception. Err:5110",
    "data": {
        "customer_number": "01105601111"
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
string
string
string
string
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json